# Trading Profile

## Create Asset Type Trading Profile

> Create new trading profile details for specific asset type

```json
{"openapi":"3.0.1","info":{"title":"Entities","version":"1.0"},"tags":[{"name":"Trading Profile","description":"Natural Person trading profile and investment objectives"}],"servers":[{"url":"https://tvda-api.platform-test.tradevest.ai","description":"Test"},{"url":"https://tvda-api.platform-pretest.tradevest.ai","description":"Pretest"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://tvdcustomauthdomain.auth.eu-central-1.amazoncognito.com/oauth2/token","scopes":{}}}}},"parameters":{"requestorId":{"schema":{"type":"string","format":"uuid"},"name":"Requestor-ID","in":"header","required":true,"description":"Unique requestor identification in UUID format"}},"schemas":{"ErrorMessage":{"title":"ErrorMessage","type":"object","properties":{"message":{"type":"string"},"responseType":{"type":"string"},"validationString":{"minLength":1,"type":"string"},"requestId":{"type":"string"},"errorCode":{"type":"string","maxLength":255},"errorDetails":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"}}},"required":["message","responseType","requestId"]},"ErrorDetails":{"title":"ErrorDetails","type":"object","properties":{"field":{"type":"string","maxLength":255},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetailsExplanation"}}},"required":["field"]},"ErrorDetailsExplanation":{"title":"ErrorDetailsExplanation","type":"object","properties":{"code":{"type":"string","maxLength":255},"parameter":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]},"AssetTypeTradingProfileData":{"title":"AssetTypeTradingProfileData","type":"object","description":"Trading profile data per asset type","properties":{"hasKnowledge":{"type":"boolean","description":"Indicates if the person has trading knowledge"},"hasExperience":{"type":"boolean","description":"Indicates if the person has trading experience"},"tradingExperience":{"$ref":"#/components/schemas/TradingExperience"}},"required":["hasKnowledge","hasExperience"]},"TradingExperience":{"title":"TradingExperience","type":"object","description":"Trading experience details","properties":{"yearsOfExperience":{"type":"integer","description":"Number of years of trading experience","minimum":0},"numberOfTrades":{"type":"integer","description":"Number of trades executed","minimum":0},"tradeVolume":{"type":"number","description":"Total volume of trades","minimum":0}},"required":["yearsOfExperience","numberOfTrades","tradeVolume"]}}},"paths":{"/entities/natural-persons/{naturalPersonId}/trading-profile/asset-types/{assetType}":{"post":{"summary":"Create Asset Type Trading Profile","operationId":"create-asset-type-trading-profile","tags":["Trading Profile"],"parameters":[{"$ref":"#/components/parameters/requestorId"}],"responses":{"202":{"description":"Accepted","content":{}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"description":"Create new trading profile details for specific asset type","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AssetTypeTradingProfileData"}}}}}}}}
```

## Update Asset Type Trading Profile

> Update existing trading profile details for specific asset type

```json
{"openapi":"3.0.1","info":{"title":"Entities","version":"1.0"},"tags":[{"name":"Trading Profile","description":"Natural Person trading profile and investment objectives"}],"servers":[{"url":"https://tvda-api.platform-test.tradevest.ai","description":"Test"},{"url":"https://tvda-api.platform-pretest.tradevest.ai","description":"Pretest"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://tvdcustomauthdomain.auth.eu-central-1.amazoncognito.com/oauth2/token","scopes":{}}}}},"parameters":{"requestorId":{"schema":{"type":"string","format":"uuid"},"name":"Requestor-ID","in":"header","required":true,"description":"Unique requestor identification in UUID format"}},"schemas":{"ErrorMessage":{"title":"ErrorMessage","type":"object","properties":{"message":{"type":"string"},"responseType":{"type":"string"},"validationString":{"minLength":1,"type":"string"},"requestId":{"type":"string"},"errorCode":{"type":"string","maxLength":255},"errorDetails":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"}}},"required":["message","responseType","requestId"]},"ErrorDetails":{"title":"ErrorDetails","type":"object","properties":{"field":{"type":"string","maxLength":255},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetailsExplanation"}}},"required":["field"]},"ErrorDetailsExplanation":{"title":"ErrorDetailsExplanation","type":"object","properties":{"code":{"type":"string","maxLength":255},"parameter":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]},"AssetTypeTradingProfileUpdate":{"title":"AssetTypeTradingProfileUpdate","type":"object","description":"Trading profile data per asset type","properties":{"hasKnowledge":{"type":"boolean","description":"Indicates if the person has trading knowledge"},"hasExperience":{"type":"boolean","description":"Indicates if the person has trading experience"},"tradingExperience":{"$ref":"#/components/schemas/TradingExperience"}},"required":["hasKnowledge","hasExperience"]},"TradingExperience":{"title":"TradingExperience","type":"object","description":"Trading experience details","properties":{"yearsOfExperience":{"type":"integer","description":"Number of years of trading experience","minimum":0},"numberOfTrades":{"type":"integer","description":"Number of trades executed","minimum":0},"tradeVolume":{"type":"number","description":"Total volume of trades","minimum":0}},"required":["yearsOfExperience","numberOfTrades","tradeVolume"]}}},"paths":{"/entities/natural-persons/{naturalPersonId}/trading-profile/asset-types/{assetType}":{"patch":{"summary":"Update Asset Type Trading Profile","operationId":"update-asset-type-trading-profile","tags":["Trading Profile"],"parameters":[{"$ref":"#/components/parameters/requestorId"}],"responses":{"202":{"description":"Accepted","content":{}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"description":"Update existing trading profile details for specific asset type","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AssetTypeTradingProfileUpdate"}}}}}}}}
```

## Acknowledge Asset Type Trading Profile

> Acknowledge asset type trading profile for natural person

```json
{"openapi":"3.0.1","info":{"title":"Entities","version":"1.0"},"tags":[{"name":"Trading Profile","description":"Natural Person trading profile and investment objectives"}],"servers":[{"url":"https://tvda-api.platform-test.tradevest.ai","description":"Test"},{"url":"https://tvda-api.platform-pretest.tradevest.ai","description":"Pretest"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://tvdcustomauthdomain.auth.eu-central-1.amazoncognito.com/oauth2/token","scopes":{}}}}},"parameters":{"requestorId":{"schema":{"type":"string","format":"uuid"},"name":"Requestor-ID","in":"header","required":true,"description":"Unique requestor identification in UUID format"}},"schemas":{"ErrorMessage":{"title":"ErrorMessage","type":"object","properties":{"message":{"type":"string"},"responseType":{"type":"string"},"validationString":{"minLength":1,"type":"string"},"requestId":{"type":"string"},"errorCode":{"type":"string","maxLength":255},"errorDetails":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"}}},"required":["message","responseType","requestId"]},"ErrorDetails":{"title":"ErrorDetails","type":"object","properties":{"field":{"type":"string","maxLength":255},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetailsExplanation"}}},"required":["field"]},"ErrorDetailsExplanation":{"title":"ErrorDetailsExplanation","type":"object","properties":{"code":{"type":"string","maxLength":255},"parameter":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}},"paths":{"/entities/natural-persons/{naturalPersonId}/trading-profile/asset-types/{assetType}/acknowledge":{"post":{"summary":"Acknowledge Asset Type Trading Profile","operationId":"acknowledge-asset-type-trading-profile","tags":["Trading Profile"],"parameters":[{"$ref":"#/components/parameters/requestorId"}],"responses":{"202":{"description":"Accepted","content":{}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"description":"Acknowledge asset type trading profile for natural person"}}}}
```

## Create Investment Objectives

> Create investment objectives for natural person trading profile

```json
{"openapi":"3.0.1","info":{"title":"Entities","version":"1.0"},"tags":[{"name":"Trading Profile","description":"Natural Person trading profile and investment objectives"}],"servers":[{"url":"https://tvda-api.platform-test.tradevest.ai","description":"Test"},{"url":"https://tvda-api.platform-pretest.tradevest.ai","description":"Pretest"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://tvdcustomauthdomain.auth.eu-central-1.amazoncognito.com/oauth2/token","scopes":{}}}}},"parameters":{"requestorId":{"schema":{"type":"string","format":"uuid"},"name":"Requestor-ID","in":"header","required":true,"description":"Unique requestor identification in UUID format"}},"schemas":{"ErrorMessage":{"title":"ErrorMessage","type":"object","properties":{"message":{"type":"string"},"responseType":{"type":"string"},"validationString":{"minLength":1,"type":"string"},"requestId":{"type":"string"},"errorCode":{"type":"string","maxLength":255},"errorDetails":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"}}},"required":["message","responseType","requestId"]},"ErrorDetails":{"title":"ErrorDetails","type":"object","properties":{"field":{"type":"string","maxLength":255},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetailsExplanation"}}},"required":["field"]},"ErrorDetailsExplanation":{"title":"ErrorDetailsExplanation","type":"object","properties":{"code":{"type":"string","maxLength":255},"parameter":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]},"InvestmentObjectives":{"title":"InvestmentObjectives","type":"object","description":"Investment objectives categorized by purpose","properties":{"growthAndSavings":{"type":"array","description":"Growth and savings investment purposes","items":{"$ref":"#/components/schemas/GrowthAndSavingsPurposeEnum"}},"capitalProtectionAndHedging":{"type":"array","description":"Capital protection and hedging investment purposes","items":{"$ref":"#/components/schemas/CapitalProtectionAndHedgingPurposeEnum"}},"incomeAndLiquidity":{"type":"array","description":"Income and liquidity investment purposes","items":{"$ref":"#/components/schemas/IncomeAndLiquidityPurposeEnum"}},"retirementAndFuturePlanning":{"type":"array","description":"Retirement and future planning investment purposes","items":{"$ref":"#/components/schemas/RetirementAndFuturePlanningPurposeEnum"}},"specificInvestmentTypes":{"type":"array","description":"Specific investment types purposes","items":{"$ref":"#/components/schemas/SpecificInvestmentTypesPurposeEnum"}},"taxAndEstatePlanning":{"type":"array","description":"Tax and estate planning investment purposes","items":{"$ref":"#/components/schemas/TaxAndEstatePlanningPurposeEnum"}}}},"GrowthAndSavingsPurposeEnum":{"title":"GrowthAndSavingsPurposeEnum","type":"string","enum":["CAPITAL_GROWTH","LONG_TERM_SAVING","PERSONAL_INVESTMENTS"]},"CapitalProtectionAndHedgingPurposeEnum":{"title":"CapitalProtectionAndHedgingPurposeEnum","type":"string","enum":["WEALTH_PRESERVATION","HEDGING","RISK_MANAGEMENT"]},"IncomeAndLiquidityPurposeEnum":{"title":"IncomeAndLiquidityPurposeEnum","type":"string","enum":["INCOME_GENERATION","CASH_MANAGEMENT","SHORT_TERM_LIQUIDITY"]},"RetirementAndFuturePlanningPurposeEnum":{"title":"RetirementAndFuturePlanningPurposeEnum","type":"string","enum":["PENSION_PLANNING","EDUCATION_FUNDING","FAMILY_SECURITY"]},"SpecificInvestmentTypesPurposeEnum":{"title":"SpecificInvestmentTypesPurposeEnum","type":"string","enum":["INVESTMENT_IN_LISTED_EQUITIES","SMALL_SCALE_INVESTMENTS","REAL_ESTATE_INVESTMENTS","ALTERNATIVE_INVESTMENTS","SPECULATIVE_INVESTMENTS","SHORT_TERM_TRADING"]},"TaxAndEstatePlanningPurposeEnum":{"title":"TaxAndEstatePlanningPurposeEnum","type":"string","enum":["TAX_PLANNING","ESTATE_PLANNING"]}}},"paths":{"/entities/natural-persons/{naturalPersonId}/trading-profile/investment-objectives":{"post":{"summary":"Create Investment Objectives","operationId":"create-investment-objectives","tags":["Trading Profile"],"parameters":[{"$ref":"#/components/parameters/requestorId"}],"responses":{"202":{"description":"Accepted","content":{}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"description":"Create investment objectives for natural person trading profile","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InvestmentObjectives"}}}}}}}}
```

## Update Investment Objectives

> Update investment objectives for natural person trading profile

```json
{"openapi":"3.0.1","info":{"title":"Entities","version":"1.0"},"tags":[{"name":"Trading Profile","description":"Natural Person trading profile and investment objectives"}],"servers":[{"url":"https://tvda-api.platform-test.tradevest.ai","description":"Test"},{"url":"https://tvda-api.platform-pretest.tradevest.ai","description":"Pretest"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://tvdcustomauthdomain.auth.eu-central-1.amazoncognito.com/oauth2/token","scopes":{}}}}},"parameters":{"requestorId":{"schema":{"type":"string","format":"uuid"},"name":"Requestor-ID","in":"header","required":true,"description":"Unique requestor identification in UUID format"}},"schemas":{"ErrorMessage":{"title":"ErrorMessage","type":"object","properties":{"message":{"type":"string"},"responseType":{"type":"string"},"validationString":{"minLength":1,"type":"string"},"requestId":{"type":"string"},"errorCode":{"type":"string","maxLength":255},"errorDetails":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"}}},"required":["message","responseType","requestId"]},"ErrorDetails":{"title":"ErrorDetails","type":"object","properties":{"field":{"type":"string","maxLength":255},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetailsExplanation"}}},"required":["field"]},"ErrorDetailsExplanation":{"title":"ErrorDetailsExplanation","type":"object","properties":{"code":{"type":"string","maxLength":255},"parameter":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]},"InvestmentObjectives":{"title":"InvestmentObjectives","type":"object","description":"Investment objectives categorized by purpose","properties":{"growthAndSavings":{"type":"array","description":"Growth and savings investment purposes","items":{"$ref":"#/components/schemas/GrowthAndSavingsPurposeEnum"}},"capitalProtectionAndHedging":{"type":"array","description":"Capital protection and hedging investment purposes","items":{"$ref":"#/components/schemas/CapitalProtectionAndHedgingPurposeEnum"}},"incomeAndLiquidity":{"type":"array","description":"Income and liquidity investment purposes","items":{"$ref":"#/components/schemas/IncomeAndLiquidityPurposeEnum"}},"retirementAndFuturePlanning":{"type":"array","description":"Retirement and future planning investment purposes","items":{"$ref":"#/components/schemas/RetirementAndFuturePlanningPurposeEnum"}},"specificInvestmentTypes":{"type":"array","description":"Specific investment types purposes","items":{"$ref":"#/components/schemas/SpecificInvestmentTypesPurposeEnum"}},"taxAndEstatePlanning":{"type":"array","description":"Tax and estate planning investment purposes","items":{"$ref":"#/components/schemas/TaxAndEstatePlanningPurposeEnum"}}}},"GrowthAndSavingsPurposeEnum":{"title":"GrowthAndSavingsPurposeEnum","type":"string","enum":["CAPITAL_GROWTH","LONG_TERM_SAVING","PERSONAL_INVESTMENTS"]},"CapitalProtectionAndHedgingPurposeEnum":{"title":"CapitalProtectionAndHedgingPurposeEnum","type":"string","enum":["WEALTH_PRESERVATION","HEDGING","RISK_MANAGEMENT"]},"IncomeAndLiquidityPurposeEnum":{"title":"IncomeAndLiquidityPurposeEnum","type":"string","enum":["INCOME_GENERATION","CASH_MANAGEMENT","SHORT_TERM_LIQUIDITY"]},"RetirementAndFuturePlanningPurposeEnum":{"title":"RetirementAndFuturePlanningPurposeEnum","type":"string","enum":["PENSION_PLANNING","EDUCATION_FUNDING","FAMILY_SECURITY"]},"SpecificInvestmentTypesPurposeEnum":{"title":"SpecificInvestmentTypesPurposeEnum","type":"string","enum":["INVESTMENT_IN_LISTED_EQUITIES","SMALL_SCALE_INVESTMENTS","REAL_ESTATE_INVESTMENTS","ALTERNATIVE_INVESTMENTS","SPECULATIVE_INVESTMENTS","SHORT_TERM_TRADING"]},"TaxAndEstatePlanningPurposeEnum":{"title":"TaxAndEstatePlanningPurposeEnum","type":"string","enum":["TAX_PLANNING","ESTATE_PLANNING"]}}},"paths":{"/entities/natural-persons/{naturalPersonId}/trading-profile/investment-objectives":{"patch":{"summary":"Update Investment Objectives","operationId":"update-investment-objectives","tags":["Trading Profile"],"parameters":[{"$ref":"#/components/parameters/requestorId"}],"responses":{"202":{"description":"Accepted","content":{}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"description":"Update investment objectives for natural person trading profile","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InvestmentObjectives"}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tradevest.ai/api-reference/entities/natural-persons-directory/trading-profiles.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
